Websites - Upload Certificate
Upload a certificate for a website.
Validates and uploads an SSL or managed certificate for the specified website. The certificate file and password must be provided as multipart form data.
POST https://api.powerplatform.com/powerpages/environments/{environmentId}/websites/{id}/certificates?certType={certType}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
file
|
formData |
file |
The certificate file (.pfx). |
|
|
password
|
formData |
string |
The certificate password. |
|
|
environment
|
path | True |
string |
The environment ID. |
|
id
|
path | True |
string |
Website unique identifier (ID). |
|
api-version
|
query | True |
string |
The API version. |
|
cert
|
query | True |
string |
The type of certificate (e.g., SSL, MANAGED). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
string |
Success |
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
| Details | |
| Error | |
|
Error |
Details
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message |
| target |
string |
Target parameter |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| details |
Details[] |
|
| message |
string |
Error message |
| target |
string |
Target parameter |
ErrorMessage
| Name | Type | Description |
|---|---|---|
| error |